Delete Orchestration Rule
curl --request DELETE \
--url https://api.paxos.com/v2/orchestration/rules/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paxos.com/v2/orchestration/rules/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paxos.com/v2/orchestration/rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rule": {
"id": "<string>",
"ref_id": "<string>",
"nickname": "<string>",
"profile_id": "<string>",
"identity_id": "<string>",
"account_id": "<string>",
"source_asset": "<string>",
"destination_asset": "<string>",
"source": {
"crypto": {
"address_id": "<string>",
"address": "<string>",
"network": "<string>"
},
"fiat": {
"deposit_instructions_id": "<string>",
"network": "<string>",
"account_type": "<string>",
"memo_id": "<string>"
},
"profile": {
"profile_id": "<string>"
}
},
"destination": {
"crypto": {
"address": "<string>",
"network": "<string>"
},
"fiat": {
"fiat_account_id": "<string>",
"memo": "<string>"
},
"profile": {
"profile_id": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z"
}
}Orchestration Rules
Delete Orchestration Rule
Deactivates an orchestration rule by updating its status to DELETED. Once deleted, the rule will no longer trigger new orchestrations. Any orchestrations previously created by the rule will continue to be processed.
The request accepts a single rule ID and returns the updated rule resource with its status set to DELETED upon success.
DELETE
/
orchestration
/
rules
/
{id}
Delete Orchestration Rule
OAuth Scope
orchestration:write_orchestration_rule
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Path Parameters
The ID of the orchestration rule to delete
Response
200 - application/json
A successful response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I